List the permission registry
GET
/auth/v1/policies/permissionsReturns the registered permission names and their bit offsets.
Authorization
Bearer Authorization<token>
In: header
Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/authv1.PermissionRegistryResponse",
"$ref-value": {
"properties": {
"permissions": {
"items": {
"$ref": "#/components/schemas/authv1.PermissionOffset",
"$ref-value": {
"properties": {
"name": {
"type": "string"
},
"offset": {
"type": "integer"
}
},
"type": "object"
}
},
"type": "array"
}
},
"type": "object"
}
}curl -X GET "https://api.rixl.com/auth/v1/policies/permissions"OK
application/json
{
"$ref": "#/components/schemas/authv1.PermissionRegistryResponse",
"$ref-value": {
"properties": {
"permissions": {
"items": {
"$ref": "#/components/schemas/authv1.PermissionOffset",
"$ref-value": {
"properties": {
"name": {
"type": "string"
},
"offset": {
"type": "integer"
}
},
"type": "object"
}
},
"type": "array"
}
},
"type": "object"
}
}